Bug 1421438 - No image in Book_Info.xml
Summary: No image in Book_Info.xml
Keywords:
Status: NEW
Alias: None
Product: Publican
Classification: Community
Component: publican
Version: future
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carlos Munoz
QA Contact: Ruediger Landmann
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-12 10:58 UTC by Sascha Manns
Modified: 2018-09-21 23:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Sascha Manns 2017-02-12 10:58:00 UTC
Description of problem:
I'm using that one in Book_Info.xml:

<orgname>
	<inlinemediaobject>
		<imageobject>
			<imagedata fileref="images/publican_creators.png" format="PNG" />
		</imageobject>
	</inlinemediaobject>
</orgname>
Full file on https://github.com/saigkill/docs/blob/master/books/PublicanCreators/en-US/Book_Info.xml

But after building the html, the image isn't placed in the html. See a result on: https://saigkill.tuxfamily.org/dotclear/docs/PublicanCreators/userdoc/html/

Version-Release number of selected component (if applicable):
4.3.2

How reproducible:
Each build


Steps to Reproduce:
1. clone git
2. publican build
3.

Actual results:
No image in the output

Expected results:
A image should seen in html

Additional info:

Comment 1 Jeff Fearn 🐞 2017-02-13 01:02:27 UTC
IIRC we dropped support for that use-case on the cover age as it didn't meet accessibility requirements.

From the PUG:

<mediaobject role="logo">
<imageobject>
<imagedata fileref="Common_Content/images/title_logo.svg" format="SVG" />
</imageobject>
<textobject>
<phrase>Team Publican</phrase>
</textobject>
</mediaobject>

Comment 2 Sascha Manns 2017-02-13 07:31:12 UTC
Now i changed the Book_Info.xml to https://github.com/saigkill/docs/blob/master/books/PublicanCreators/en-US/Book_Info.xml

I'm using that branch "manns" http://bazaar.launchpad.net/~sascha-manns-h/+junk/publican-manns/files/head:/en-US/images/

The url points directly to the images directory.

The current build of html looks like: https://saigkill.tuxfamily.org/dotclear/docs/PublicanCreators/userdoc/html/

So sadly currently the title_logo isn't visible.

BTW: Is SVG usable in html context?


Note You need to log in before you can comment on or make changes to this bug.